Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/32263/?format=api
{ "ob_id": 32263, "uuid": "4d9eb71f6874435ab88d3c37539f1ed7", "title": "ECMWF Forecasts for project support.", "abstract": "This dataset contained a variety of forecast data from ECMWF, which supported observation campaigns. The variables, geo-temporal extent and other aspects were different for each campaign supported. The project supported were: adient, catlin, cloudmap2, crose, troccinox, itop, plume, slimcat, torch and vintersol.\r\n\r\nThese data are no longer relevant, and were not reusable due the very specific access conditions that applied to each project.", "keywords": "", "publicationState": "removed", "dataPublishedTime": null, "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "retired", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/32262/?format=api", "dataPath": "/badc/ecmwf-for", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 937, "numberOfFiles": 1, "fileFormat": "GRIB" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8850/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25925/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25973/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88554/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88555/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88556/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88557/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88558/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88559/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88560/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88561/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88562/?format=api" ], "dataLineage": "Operational forecast data produced by ECMWF. Extracted for projects from ECMWF MARS system and archived at the Centre for Environmental Data Analysis (CEDA).", "removedDataTime": "2021-03-31T14:19:18", "removedDataReason": "These data are no longer relevant, and were not reusable due the very specific access conditions that applied to each project.", "language": "English", "identifier_set": [], "projects": [], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143537/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143538/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143539/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143541/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143542/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143543/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143540/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2617/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "ecmwffor", "label": "restricted: ecmwffor group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }